com.holonplatform.vaadin.flow.components.builders

## Interface BaseDateInputBuilder.CalendarLocalizationBuilder<D,B extends BaseDateInputBuilder<D,B>>

- Enclosing interface:
    BaseDateInputBuilder<D,B extends BaseDateInputBuilder<D,B>>

      public static interface BaseDateInputBuilder.CalendarLocalizationBuilder<D,B extends BaseDateInputBuilder<D,B>>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `calendar(com.holonplatform.core.i18n.Localizable message)` Set the `Localizable` message to use for the word `calendar`.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `calendar(String message)` Set the message to use for the word `calendar`.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `calendar(String defaultMessage, String messageCode, Object... arguments)` Set the localizable message to use for the word `week`.
    `BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `cancel(com.holonplatform.core.i18n.Localizable message)` Set the `Localizable` message to use for the word `cancel`.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `cancel(String message)` Set the message to use for the word `cancel`.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `cancel(String defaultMessage, String messageCode, Object... arguments)` Set the localizable message to use for the word `cancel`.
    `BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `clear(com.holonplatform.core.i18n.Localizable message)` Set the `Localizable` message to use for the word `clear`.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `clear(String message)` Set the message to use for the word `clear`.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `clear(String defaultMessage, String messageCode, Object... arguments)` Set the localizable message to use for the word `clear`.
    `BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `firstDayOfWeek(int firstDayOfWeek)` Sets the first day of the week.
    `BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `monthNames(List<com.holonplatform.core.i18n.Localizable> monthNames)` Set the `Localizable` messages to use to display the month names, starting from January and ending on December.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `monthNames(com.holonplatform.core.i18n.Localizable... monthNames)` Set the `Localizable` messages to use to display the month names, starting from January and ending on December.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `monthNames(String... monthNames)` Sets the name of the months, starting from January and ending on December.
    `B` | `set()` Set the calendar localization settings for the Date Input.
    `BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `today(com.holonplatform.core.i18n.Localizable message)` Set the `Localizable` message to use for the word `today`.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `today(String message)` Set the message to use for the word `today`.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `today(String defaultMessage, String messageCode, Object... arguments)` Set the localizable message to use for the word `today`.
    `BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `week(com.holonplatform.core.i18n.Localizable message)` Set the `Localizable` message to use for the word `week`.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `week(String message)` Set the message to use for the word `week`.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `week(String defaultMessage, String messageCode, Object... arguments)` Set the localizable message to use for the word `week`.
    `BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `weekDays(List<com.holonplatform.core.i18n.Localizable> weekDays)` Set the `Localizable` messages to use to display the week days names, starting from Sunday and ending on Saturday.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `weekDays(com.holonplatform.core.i18n.Localizable... weekDays)` Set the `Localizable` messages to use to display the week days names, starting from Sunday and ending on Saturday.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `weekDays(String... weekDays)` Sets the name of the week days, starting from Sunday and ending on Saturday.
    `BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `weekDaysShort(List<com.holonplatform.core.i18n.Localizable> weekDaysShort)` Set the `Localizable` messages to use to display the short week days names, starting from Sunday and ending on Saturday.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `weekDaysShort(com.holonplatform.core.i18n.Localizable... weekDaysShort)` Set the `Localizable` messages to use to display the short week days names, starting from Sunday and ending on Saturday.
    `default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `weekDaysShort(String... weekDaysShort)` Sets the short name of the week days, starting from Sunday and ending on Saturday.

- - ### Method Detail

    - #### monthNames

          BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> monthNames(List<com.holonplatform.core.i18n.Localizable> monthNames)

      Set the `Localizable` messages to use to display the month names, starting from January and ending on December.
      Parameters:
        `monthNames` - The month names
      Returns:
        this

    - #### monthNames

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> monthNames(com.holonplatform.core.i18n.Localizable... monthNames)

      Set the `Localizable` messages to use to display the month names, starting from January and ending on December.
      Parameters:
        `monthNames` - The month names
      Returns:
        this

    - #### monthNames

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> monthNames(String... monthNames)

      Sets the name of the months, starting from January and ending on December.
      Parameters:
        `monthNames` - The month names
      Returns:
        this

    - #### weekDays

          BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> weekDays(List<com.holonplatform.core.i18n.Localizable> weekDays)

      Set the `Localizable` messages to use to display the week days names, starting from Sunday and ending on Saturday.
      Parameters:
        `weekDays` - The week day names
      Returns:
        this

    - #### weekDays

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> weekDays(com.holonplatform.core.i18n.Localizable... weekDays)

      Set the `Localizable` messages to use to display the week days names, starting from Sunday and ending on Saturday.
      Parameters:
        `weekDays` - The week day names
      Returns:
        this

    - #### weekDays

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> weekDays(String... weekDays)

      Sets the name of the week days, starting from Sunday and ending on Saturday.
      Parameters:
        `weekDays` - The week day names
      Returns:
        this

    - #### weekDaysShort

          BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> weekDaysShort(List<com.holonplatform.core.i18n.Localizable> weekDaysShort)

      Set the `Localizable` messages to use to display the short week days names, starting from Sunday and ending on Saturday.
      Parameters:
        `weekDaysShort` - The short week day names
      Returns:
        this

    - #### weekDaysShort

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> weekDaysShort(com.holonplatform.core.i18n.Localizable... weekDaysShort)

      Set the `Localizable` messages to use to display the short week days names, starting from Sunday and ending on Saturday.
      Parameters:
        `weekDaysShort` - The short week day names
      Returns:
        this

    - #### weekDaysShort

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> weekDaysShort(String... weekDaysShort)

      Sets the short name of the week days, starting from Sunday and ending on Saturday.
      Parameters:
        `weekDaysShort` - The short week day names
      Returns:
        this

    - #### firstDayOfWeek

          BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> firstDayOfWeek(int firstDayOfWeek)

      Sets the first day of the week.

      0 for Sunday, 1 for Monday, 2 for Tuesday, 3 for Wednesday, 4 for Thursday, 5 for Friday, 6 for Saturday.

      Parameters:
        `firstDayOfWeek` - the index of the first day of the week
      Returns:
        this

    - #### week

          BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> week(com.holonplatform.core.i18n.Localizable message)

      Set the `Localizable` message to use for the word `week`.
      Parameters:
        `message` - the `Localizable` message to use
      Returns:
        this

    - #### week

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> week(String message)

      Set the message to use for the word `week`.
      Parameters:
        `message` - the message to use
      Returns:
        this

    - #### week

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> week(String defaultMessage,
                                                                             String messageCode,
                                                                             Object... arguments)

      Set the localizable message to use for the word `week`.
      Parameters:
        `defaultMessage` - Default message
        `messageCode` - Message translation code
        `arguments` - Optional message translation arguments
      Returns:
        this

    - #### calendar

          BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> calendar(com.holonplatform.core.i18n.Localizable message)

      Set the `Localizable` message to use for the word `calendar`.
      Parameters:
        `message` - the `Localizable` message to use
      Returns:
        this

    - #### calendar

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> calendar(String message)

      Set the message to use for the word `calendar`.
      Parameters:
        `message` - the message to use
      Returns:
        this

    - #### calendar

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> calendar(String defaultMessage,
                                                                                 String messageCode,
                                                                                 Object... arguments)

      Set the localizable message to use for the word `week`.
      Parameters:
        `defaultMessage` - Default message
        `messageCode` - Message translation code
        `arguments` - Optional message translation arguments
      Returns:
        this

    - #### clear

          BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> clear(com.holonplatform.core.i18n.Localizable message)

      Set the `Localizable` message to use for the word `clear`.
      Parameters:
        `message` - the `Localizable` message to use
      Returns:
        this

    - #### clear

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> clear(String message)

      Set the message to use for the word `clear`.
      Parameters:
        `message` - the message to use
      Returns:
        this

    - #### clear

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> clear(String defaultMessage,
                                                                              String messageCode,
                                                                              Object... arguments)

      Set the localizable message to use for the word `clear`.
      Parameters:
        `defaultMessage` - Default message
        `messageCode` - Message translation code
        `arguments` - Optional message translation arguments
      Returns:
        this

    - #### today

          BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> today(com.holonplatform.core.i18n.Localizable message)

      Set the `Localizable` message to use for the word `today`.
      Parameters:
        `message` - the `Localizable` message to use
      Returns:
        this

    - #### today

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> today(String message)

      Set the message to use for the word `today`.
      Parameters:
        `message` - the message to use
      Returns:
        this

    - #### today

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> today(String defaultMessage,
                                                                              String messageCode,
                                                                              Object... arguments)

      Set the localizable message to use for the word `today`.
      Parameters:
        `defaultMessage` - Default message
        `messageCode` - Message translation code
        `arguments` - Optional message translation arguments
      Returns:
        this

    - #### cancel

          BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> cancel(com.holonplatform.core.i18n.Localizable message)

      Set the `Localizable` message to use for the word `cancel`.
      Parameters:
        `message` - the `Localizable` message to use
      Returns:
        this

    - #### cancel

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> cancel(String message)

      Set the message to use for the word `cancel`.
      Parameters:
        `message` - the message to use
      Returns:
        this

    - #### cancel

          default BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> cancel(String defaultMessage,
                                                                               String messageCode,
                                                                               Object... arguments)

      Set the localizable message to use for the word `cancel`.
      Parameters:
        `defaultMessage` - Default message
        `messageCode` - Message translation code
        `arguments` - Optional message translation arguments
      Returns:
        this

    - #### set

          B set()

      Set the calendar localization settings for the Date Input.
      Returns:
        The parent Input builder

Copyright © 2019 The Holon Platform. All rights reserved.